Intel-GFX Archive on lore.kernel.org
 help / color / mirror / Atom feed
From: Ben Widawsky <ben@bwidawsk.net>
To: intel-gfx@lists.freedesktop.org
Cc: Ben Widawsky <ben@bwidawsk.net>,
	Ben Widawsky <benjamin.widawsky@intel.com>
Subject: [PATCH 1/2] tests: use common code for scripts
Date: Tue,  3 Apr 2012 23:02:58 -0700	[thread overview]
Message-ID: <1333519380-6756-2-git-send-email-ben@bwidawsk.net> (raw)
In-Reply-To: <1333519380-6756-1-git-send-email-ben@bwidawsk.net>

This removes cut and pasted code and uses a more central source.

Signed-off-by: Ben Widawsky <benjamin.widawsky@intel.com>
---
 tests/ZZ_hangman         |   22 +---------------------
 tests/check_drm_clients  |   27 +--------------------------
 tests/debugfs_emon_crash |   21 +--------------------
 tests/debugfs_reader     |   21 +--------------------
 tests/drm_lib.sh         |   32 ++++++++++++++++++++++++++++++++
 5 files changed, 36 insertions(+), 87 deletions(-)
 create mode 100755 tests/drm_lib.sh

diff --git a/tests/ZZ_hangman b/tests/ZZ_hangman
index 7afda57..9312724 100755
--- a/tests/ZZ_hangman
+++ b/tests/ZZ_hangman
@@ -6,27 +6,7 @@
 # by reading /sys/kernel/debug/dri/0/i915_emon_status too quickly
 #
 
-if [ -d /debug/dri ] ; then
-	debugfs_path=/debug_dri
-fi
-
-if [ -d /sys/kernel/debug/dri ] ; then
-	debugfs_path=/sys/kernel/debug/dri
-fi
-
-cur_path=`pwd`
-i915_path=x
-for dir in `ls $debugfs_path` ; do
-	if [ -f $debugfs_path/$dir/i915_error_state ] ; then
-		i915_path=$debugfs_path/$dir
-		break
-	fi
-done
-
-if [ $i915_path = "x" ] ; then
-	echo i915 debugfs path not found.
-	exit 1
-fi
+. ./drm_lib.sh
 
 cd $i915_path
 
diff --git a/tests/check_drm_clients b/tests/check_drm_clients
index 3e871ec..00a3485 100755
--- a/tests/check_drm_clients
+++ b/tests/check_drm_clients
@@ -1,30 +1,5 @@
 #!/bin/sh
 
-if [ -d /debug/dri ] ; then
-	debugfs_path=/debug_dri
-fi
-
-if [ -d /sys/kernel/debug/dri ] ; then
-	debugfs_path=/sys/kernel/debug/dri
-fi
-
-i915_path=x
-for dir in `ls $debugfs_path` ; do
-	if [ -f $debugfs_path/$dir/i915_error_state ] ; then
-		i915_path=$debugfs_path/$dir
-		break
-	fi
-done
-
-if [ $i915_path = "x" ] ; then
-	echo i915 debugfs path not found.
-	exit 1
-fi
-
-# read everything we can
-if [ `cat $i915_path/clients | wc -l` -gt "2" ] ; then
-	echo ERROR: other drm clients running
-	exit 1
-fi
+. ./drm_lib.sh
 
 exit 0
diff --git a/tests/debugfs_emon_crash b/tests/debugfs_emon_crash
index 63e193d..613b55b 100755
--- a/tests/debugfs_emon_crash
+++ b/tests/debugfs_emon_crash
@@ -4,26 +4,7 @@
 # by reading /sys/kernel/debug/dri/0/i915_emon_status too quickly
 #
 
-if [ -d /debug/dri ] ; then
-	debugfs_path=/debug_dri
-fi
-
-if [ -d /sys/kernel/debug/dri ] ; then
-	debugfs_path=/sys/kernel/debug/dri
-fi
-
-i915_path=x
-for dir in `ls $debugfs_path` ; do
-	if [ -f $debugfs_path/$dir/i915_error_state ] ; then
-		i915_path=$debugfs_path/$dir
-		break
-	fi
-done
-
-if [ $i915_path = "x" ] ; then
-	echo i915 debugfs path not found.
-	exit 1
-fi
+. ./drm_lib.sh
 
 for z in $(seq 1 1000); do
 	cat $i915_path/i915_emon_status > /dev/null
diff --git a/tests/debugfs_reader b/tests/debugfs_reader
index adb1e3c..1230fa9 100755
--- a/tests/debugfs_reader
+++ b/tests/debugfs_reader
@@ -1,25 +1,6 @@
 #!/bin/sh
 
-if [ -d /debug/dri ] ; then
-	debugfs_path=/debug_dri
-fi
-
-if [ -d /sys/kernel/debug/dri ] ; then
-	debugfs_path=/sys/kernel/debug/dri
-fi
-
-i915_path=x
-for dir in `ls $debugfs_path` ; do
-	if [ -f $debugfs_path/$dir/i915_error_state ] ; then
-		i915_path=$debugfs_path/$dir
-		break
-	fi
-done
-
-if [ $i915_path = "x" ] ; then
-	echo i915 debugfs path not found.
-	exit 1
-fi
+. ./drm_lib.sh
 
 # read everything we can
 cat $i915_path/* > /dev/null 2>&1 
diff --git a/tests/drm_lib.sh b/tests/drm_lib.sh
new file mode 100755
index 0000000..6b5bdcf
--- /dev/null
+++ b/tests/drm_lib.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+die() {
+	echo "$@"
+	exit 1
+}
+
+if [ -d /debug/dri ] ; then
+	debugfs_path=/debug_dri
+fi
+
+if [ -d /sys/kernel/debug/dri ] ; then
+	debugfs_path=/sys/kernel/debug/dri
+fi
+
+i915_path=x
+for dir in `ls $debugfs_path` ; do
+	if [ -f $debugfs_path/$dir/i915_error_state ] ; then
+		i915_path=$debugfs_path/$dir
+		break
+	fi
+done
+
+if [ $i915_path = "x" ] ; then
+	die " i915 debugfs path not found."
+fi
+
+# read everything we can
+if [ `cat $i915_path/clients | wc -l` -gt "2" ] ; then
+	die "ERROR: other drm clients running"
+fi
+
+
-- 
1.7.9.5

  reply	other threads:[~2012-04-04  6:04 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-04-04  6:02 [PATCH 0/3]: test case + fix for debugfs regression Ben Widawsky
2012-04-04  6:02 ` Ben Widawsky [this message]
2012-04-04  6:02 ` [PATCH 2/2] tests: wedged + error_state read test Ben Widawsky
2012-04-04 10:48   ` Chris Wilson
2012-04-04 11:09     ` Daniel Vetter
2012-04-04  6:03 ` [PATCH] drm/i915: VCS is not the last ring Ben Widawsky
2012-04-04 10:44   ` Daniel Vetter

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1333519380-6756-2-git-send-email-ben@bwidawsk.net \
    --to=ben@bwidawsk.net \
    --cc=benjamin.widawsky@intel.com \
    --cc=intel-gfx@lists.freedesktop.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox